Withdraw via Lipa na M-Pesa (Kenya)
curl --request POST \
--url https://sandbox-api.kotanipay.io/api/v3/withdraw/lipa-na-mpesa \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 100,
"walletId": "5f9b2c7b9c9d6b0017b4e6b1",
"lipaNaMpesaDetails": {
"businessShortcode": "174379",
"accountReference": "ORDER123",
"transactionDesc": "Payment for goods",
"phoneNumber": "+254712345678"
},
"callbackUrl": "https://example.com/callback",
"referenceId": "LIPA-001"
}
'import requests
url = "https://sandbox-api.kotanipay.io/api/v3/withdraw/lipa-na-mpesa"
payload = {
"amount": 100,
"walletId": "5f9b2c7b9c9d6b0017b4e6b1",
"lipaNaMpesaDetails": {
"businessShortcode": "174379",
"accountReference": "ORDER123",
"transactionDesc": "Payment for goods",
"phoneNumber": "+254712345678"
},
"callbackUrl": "https://example.com/callback",
"referenceId": "LIPA-001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 100,
walletId: '5f9b2c7b9c9d6b0017b4e6b1',
lipaNaMpesaDetails: {
businessShortcode: '174379',
accountReference: 'ORDER123',
transactionDesc: 'Payment for goods',
phoneNumber: '+254712345678'
},
callbackUrl: 'https://example.com/callback',
referenceId: 'LIPA-001'
})
};
fetch('https://sandbox-api.kotanipay.io/api/v3/withdraw/lipa-na-mpesa', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Lipa na M-Pesa withdrawal has been successfully created.",
"data": {
"id": "<string>",
"message": "<string>",
"referenceId": "<string>",
"referenceNumber": 123
}
}{
"success": false,
"message": "Bad Request",
"data": {}
}{
"success": false,
"message": "Invalid API Key",
"data": {}
}Kenya Withdrawals
Lipa na M-Pesa Withdrawal
Send money from integrator wallet to customer via Lipa na M-Pesa STK Push or to a business shortcode.
POST
/
api
/
v3
/
withdraw
/
lipa-na-mpesa
Withdraw via Lipa na M-Pesa (Kenya)
Send money from integrator wallet to customer via Lipa na M-Pesa STK Push or to a business shortcode.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Amount to pay
Example:
100
Wallet ID to debit from
Example:
"5f9b2c7b9c9d6b0017b4e6b1"
Lipa na M-Pesa payment details
Show child attributes
Show child attributes
Callback URL for status updates
Example:
"https://example.com/callback"
Your reference ID
Example:
"LIPA-001"
⌘I